Project/src/main/java/model/User.java
package model;

import java.sql.Timestamp;
import java.util.Date;

/**
 * Userテーブルのデータを格納するためのBeans
 *
 * 
 */

public class User {

  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {}

  // 全てのデータをセットするコンストラクタ
  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdimn,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdimn;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }

}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserAddServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    /**** ログインの有無確認 start ****/
    // ログインチェック(ログインセッションがない場合、ログイン画面にリダイレクトさせる)
    // セッション
    HttpSession session = request.getSession();

    // ログインユーザ情報を取得
    User loginUser = (User) session.getAttribute("userInfo");

    /* ユーザ情報が取得できない場合 */
    if (loginUser == null) {
      response.sendRedirect("LoginServlet");
      return;

    }
    /**** ログインの有無確認 end ****/

    // 新規登録のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
    dispatcher.forward(request, response);

  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    // 新規登録画面で入力された情報を取得
    String loginId = request.getParameter("user-loginid");
    String userName = request.getParameter("user-name");
    String birthDate = request.getParameter("birth-date");
    String password = request.getParameter("password");
    String passwordConfirm = request.getParameter("password-confirm");

    // 引数のログインIDをfindByLoginIdメソッドへ渡し、実行 // 例外チェック3で活用
    // お手本コードでは、boolean型のメソッドにして、T or Fの形式で判定している。
    UserDao userDao = new UserDao();
    User userDeta = userDao.findByLoginId(loginId);

    // 例外処理→すべてがFaleseを返したときだけ
    // 例外1.すべての値が入力されたか
    // 例外2.パスワードが2つとも同じか
    // 例外3.入力されたログインIDが既に利用されていないか
    if ((emptyCheck(loginId, userName, birthDate, password, passwordConfirm))
        || !((password.equals(passwordConfirm))) || (userDeta != null)) {

      // リクエストスコープにエラーメッセージをセット
      request.setAttribute("errMsg", "入力した内容は正しくありません");
      
      // リクエストスコープに入力項目をセット
      request.setAttribute("userloginId", loginId);
      request.setAttribute("userName", userName);
      request.setAttribute("userbirthDate", birthDate);


      // userAdd.jspフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
      return;

    } else {
      /**** 新規登録成功時 ****/

      // パスワードの暗号化
      PasswordEncorder pEncorder = new PasswordEncorder();
      String encryptPass = pEncorder.encordPassword(password);


      // ユーザー情報の登録
      userDao.insertUser(loginId, userName, birthDate, encryptPass);

      // ユーザ一覧のサーブレットにリダイレクト
      response.sendRedirect("UserListServlet");

    }

  }

  /**
   * 新規登録画面の入力された値が全て入力されているかどうか
   *
   * @param loginId
   * @param password
   * @param passwordConfirm
   * @param userName
   * @param birthdate
   * @return
   */
  // 例外チェック1のメソッド
  protected boolean emptyCheck(String loginId, String userName, String birthDate, String password,
      String passwordConfirm) {

    if (loginId.equals("")) {
      return true;

    } else if (userName.equals("")) {
      return true;

    } else if (birthDate.equals("")) {
      return true;

    } else if (password.equals("")) {
      return true;

    } else if (passwordConfirm.equals("")) {
      return true;

    } else {
      return false;
    }

  }

}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      /**** ログインの有無確認 start ****/
      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("userInfo");

      /* ユーザ情報が取得できない場合 */
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      /**** ログインの有無確認 end ****/

      /* ユーザ情報が取得できた場合 */
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータの値を取得
      int id = Integer.valueOf(request.getParameter("id"));

      // リクエストパラメータで取得した値を引数に、findByIdメソッドを実行
      UserDao userDao = new UserDao();
      User userDeta = userDao.findById(id);

      // findByIdメソッドの戻り値をリクエストスコープにセット
      request.setAttribute("user", userDeta);

      /* userUpdate.jspへフォワード */
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
      dispatcher.forward(request, response);


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータの入力項目を取得
      String userId = request.getParameter("user-id");

      // ユーザー情報の更新
      UserDao userDao = new UserDao();
      userDao.deleteUser(userId);

      // ユーザ一覧のサーブレットにリダイレクト
      response.sendRedirect("UserListServlet");

	}

}

Project/src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      /**** ログインの有無確認 start ****/
      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("userInfo");

      /* ユーザ情報が取得できない場合 */
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;

      }
      /**** ログインの有無確認 end ****/


      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータの値を取得
      int id = Integer.valueOf(request.getParameter("id"));

      // リクエストパラメータで取得した値を引数に、findByIdメソッドを実行
      UserDao userDao = new UserDao();
      User userDeta = userDao.findById(id);

      // findByIdメソッドの戻り値をリクエストスコープにセット
      request.setAttribute("user", userDeta);

      // userDetail.jspへフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
      dispatcher.forward(request, response);
      return;
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserListServlet() {
    super();
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    /**** ログインの有無確認 start ****/
    HttpSession session = request.getSession();
    User loginUser = (User) session.getAttribute("userInfo");


    // ログイン情報がない場合
    if (loginUser == null) {
      // セッションがなかったらログイン画面へ
      response.sendRedirect("LoginServlet");
      return;

    }
    /**** ログインの有無確認 end ****/


    // ユーザ一覧情報を取得
    UserDao userDao = new UserDao();
    List<User> userList = userDao.findAll();

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);

    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);


  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    UserDao userDao = new UserDao();

    // 検索条件取得
    String loginId = request.getParameter("user-loginid");
    String userName = request.getParameter("user-name");
    String startDate = request.getParameter("date-start");
    String endDate = request.getParameter("date-end");

    // 検索処理
    List<User> userList = userDao.search(loginId, userName, startDate, endDate);

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);
    request.setAttribute("loginid", loginId);
    request.setAttribute("userName", userName);
    request.setAttribute("startDate", startDate);
    request.setAttribute("endDate", endDate);


    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);



  }

}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
						${userInfo.name}</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<!-- エラー処理 start -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラー処理 end  -->
			</div>
		</div>

		<form action="UserAddServlet" method="post">
			<div class="row">
				<div class="col-6 offset-3">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${userloginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${userName}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${userbirthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ削除画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
						${userInfo.name}</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
							href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID： ${user.loginId }</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
						<form name="forDeleteServlet" action="UserDeleteServlet"
							method="post">
							<input type="hidden" name="param" value="value"> <input
								type="hidden" name="user-id" value="${user.id}">
						</form>
						<a href="UserDeleteServlet"
							onclick="document.forDeleteServlet.submit();return false;"
							class="btn btn-primary btn-block">はい</a>
						<!-- 変更前 -->
						<!--<form action="UserDeleteServlet" method="post">
							<a href="userList.html" class="btn btn-primary btn-block">はい</a>
						</form>  -->
					</div>
				</div>
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja"></html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ詳細 画面</title>
<!-- BootstrapのCSS読み込み -->
<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
						${userInfo.name}</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
							href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>

	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ情報詳細参照</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">

				<div class="row">
					<label for="loginId" class="col-3 font-weight-bold">ログインID</label>
					<div class="col-9">
						<p>${user.loginId}</p>
					</div>
				</div>

				<div class="row">
					<label for="userName" class="col-3 font-weight-bold">ユーザ名</label>
					<div class="col-9">
						<p>${user.name}</p>
					</div>
				</div>

				<div class="row">
					<label for="birthDate" class="col-3 font-weight-bold">生年月日</label>
					<div class="col-9">
						<p> <fmt:formatDate value="${user.birthDate}"
										pattern="yyyy年MM月dd日" /></p>
					</div>
				</div>

				<div class="row">
					<label for="createDate" class="col-3 font-weight-bold">新規登録日時</label>
					<div class="col-9">
						<p> <fmt:formatDate value="${user.createDate}"
										pattern="yyyy年 MM月 dd日 H:mm" /></p>
					</div>
				</div>

				<div class="row">
					<label for="updateDate" class="col-3 font-weight-bold">更新日時</label>
					<div class="col-9">
						<p> <fmt:formatDate value="${user.updateDate}"
										pattern="yyyy年 MM月 dd日 H:mm" /></p>
					</div>
				</div>


				<div class="col-xs-4">
					<a href="UserListServlet">戻る</a>
				</div>
			</div>


		</div>
	</div>
</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ一覧画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">
			<div class="container">
				<a class="navbar-brand" href="UserListServlet">ユーザ管理システム</a>

				<ul class="navbar-nav flex-row">
					<li class="nav-item"><span class="navbar-text">
							${userInfo.name}</span><span class="navbar-text">さん</span></li>
					<li class="nav-item"><a class="nav-link text-danger"
						href="LogoutServlet">ログアウト</a></li>
				</ul>
			</div>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">

				<div class="card">
					<form action="UserListServlet" method="post">
						<div class="card-body">

							<div class="form-group row">
								<label for="loginId" class="col-2 col-form-label">ログインID</label>
								<div class="col-10">
									<input type="text" name="user-loginid" class="form-control"
										id="loginId" value="${loginid}">
								</div>
							</div>

							<div class="form-group row">
								<label for="userName" class="col-2 col-form-label">ユーザ名</label>
								<div class="col-10">
									<input type="text" name="user-name" class="form-control"
										id="userName" value="${userName}">
								</div>
							</div>

							<div class="form-group row">
								<label for="birthDate" class="col-2 col-form-label">生年月日</label>
								<div class="col-10">
									<div class="row">
										<div class="col-5">
											<input type="date" name="date-start" id="startBirthDate"
												class="form-control" value="${startDate}">
										</div>
										<div class="col-2 text-center">~</div>
										<div class="col-5">
											<input type="date" name="date-end" id="endBirthDate"
												class="form-control" value="${endDate}">
										</div>
									</div>
								</div>
							</div>

							<div class="text-right">
								<button type="submit" class="btn btn-primary form-submit">検索</button>
							</div>

						</div>
					</form>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
							<tr>
								<td>${user.loginId}</td>
								<td>${user.name}</td>
								<td><fmt:formatDate value="${user.birthDate}"
										pattern="yyyy年MM月dd日" /></td>
								<td class="float-right"><a class="btn btn-primary"
									href="UserDetailServlet?id=${user.id}">詳細</a> <c:if
										test="${userInfo.admin or userInfo.loginId == user.loginId}">

										<a class="btn btn-success"
											href="UserUpdateServlet?id=${user.id}">更新</a>
									</c:if> <c:if test="${userInfo.admin}">

										<a class="btn btn-danger"
											href="UserDeleteServlet?id=${user.id}">削除</a>
									</c:if></td>

							</tr>
						</c:forEach>
					</tbody>
				</table>

			</div>
		</div>
	</div>



</body>

</html>